Org Attach Payment Method
curl --request POST \
--url https://api.example.com/api/organizations/{org_id}/billing/payment-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method_id": "<string>"
}
'import requests
url = "https://api.example.com/api/organizations/{org_id}/billing/payment-methods"
payload = { "payment_method_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payment_method_id: '<string>'})
};
fetch('https://api.example.com/api/organizations/{org_id}/billing/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}public
Org Attach Payment Method
Attach a Stripe payment method to the organization. Owner-only.
Idempotent: re-attaching an existing payment method just flips
is_active=True and re-stamps attached_by_user_id.
POST
/
api
/
organizations
/
{org_id}
/
billing
/
payment-methods
Org Attach Payment Method
⌘I